package com.example.cookbook.controller;


import com.example.cookbook.model.Naracka;
import com.example.cookbook.service.NarackiService;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

import java.sql.SQLException;
import java.util.List;

@Controller
public class VrabotenController {

    private final NarackiService narcakiService;

    public VrabotenController(NarackiService narcakiService) {
        this.narcakiService = narcakiService;
    }


    @GetMapping("/naracki")
    public String getNaracki(Model model){

        List<Naracka> naracki = null;
        try {
            naracki = narcakiService.listAll();
        } catch (SQLException e) {
            return "redirect:/error-page/SQL%20Exception";
        }
        model.addAttribute("naracki", naracki);
        return "naracki";
    }
}
